WAYJAM

OPENWRT安装软件的两个问题

一、安装的软件与路由CPU芯片架构不匹配

用了非默认的PACKAGES源安装软件或者opkg update的时候会出现

Package XXX version XXXX has no valid architecture, ignoring.

解决办法:
在OPKG的配置里面加入

arch all 100
arch noarch 200
arch ralink 300
arch ramips_24kec 400

二、出现md5sum+mismatch不匹配提示

在安装本地上传的IPK的时候,经常会出现md5sum+mismatch不匹配提示。这是因为原有的PACKAGES源与你下载回来的IPK版本不一致,一般是下载回来的版本比较新。
在OPKG的配置里面注释掉PACKAGES源(在最前面加上#),如

# src/gz packages http://downloads.openwrt.org/snapshots/trunk/ramips/packages

再执行opkg install xxx.ipk
如果是kmod类的安装包,可能需要在后面加--force-depends进行强制安装。

参考资料

  1. http://wiki.openwrt.org/doc/techref/opkg#Configuration
2014-03-13 15:42